/**
 * MiscSettings  07/14/2011
 * 
 * Handles miscellaneous settings in Floomptagorpt application 
 *
 * Copyright (C) 2011  Thomas G.Digby (bubbles@plergb.com)
 *
 * This program is free software: you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 3 of
 * the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see
 *
 *   <http://www.gnu.org/licenses/>.
 *
 */


package floomptagorpt;

/**
 *
 * @author bubbles
 */


import java.awt.Color;
import javax.swing.BoxLayout;
import javax.swing.BorderFactory;
// import javax.swing.JRadioButton;
import javax.swing.JCheckBox;
// import javax.swing.ButtonGroup;
import javax.swing.JLabel;
import javax.swing.JPanel;



public class MiscSettings {

    // for frequency windowing
    public boolean softStart = true;


    JPanel miscPane;
    JCheckBox softStartButton;


    public MiscSettings() {

        miscPane = new JPanel();
        miscPane.setLayout(
                new BoxLayout(miscPane, BoxLayout.PAGE_AXIS));

        miscPane.setBorder(
            BorderFactory.createLineBorder(Color.black));

        JLabel wfLabel = new JLabel("Transitions");
        miscPane.add(wfLabel);

        softStartButton = new JCheckBox("Fade In/Out", true);
        miscPane.add(softStartButton);

        


    } // MiscSettings


        public void enableChanges(){

            softStartButton.setEnabled(true);

        } // nableChanges()


        public void disableChanges(){

            softStartButton.setEnabled(false);

        } // disableChanges()


        public void setDefault(){

            softStart = true;
            softStartButton.setSelected(true);

        } // setDefault()


        public void cancelChanges(){

            softStartButton.setSelected(softStart);

        } // cancelChanges()


        public void applyChanges(){

            softStart = softStartButton.isSelected();

        } // applyChanges()


        public String reportStatus(){ // tell user what has been selected

            if(softStart)
                return"Voices will fade in and out \n";
            else
                return"Voices will siwtch in and out \n";

        } // reportStatus()

        

} // class MiscSettings



